## org.gnu.gtk.event
Class LifeCycleEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.LifeCycleEvent.Type

Enclosing class:
  LifeCycleEvent

public static class LifeCycleEvent.Type
extends EventType

Field Summary
`static LifeCycleEvent.Type` `DELETE` This event indicates that a widget has been deleted
`static LifeCycleEvent.Type` `DESTROY` This event indicates that a widget has been destroyed
`static LifeCycleEvent.Type` `HIDE` This event indicates that a widget has become invisible.
`static LifeCycleEvent.Type` `MAP` This event indicates that a widget has been mapped.
`static LifeCycleEvent.Type` `REALIZE` This event indicates that a widget has been realized.
`static LifeCycleEvent.Type` `SHOW` This event indicates that a widget has become visible.
`static LifeCycleEvent.Type` `UNMAP` This event indicates that a widget has been unmapped.
`static LifeCycleEvent.Type` `UNREALIZE` This event indicates that a widget has been unrealized

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REALIZE

    public static final LifeCycleEvent.Type REALIZE

  This event indicates that a widget has been realized.

### UNREALIZE

    public static final LifeCycleEvent.Type UNREALIZE

  This event indicates that a widget has been unrealized

### DELETE

    public static final LifeCycleEvent.Type DELETE

  This event indicates that a widget has been deleted

### DESTROY

    public static final LifeCycleEvent.Type DESTROY

  This event indicates that a widget has been destroyed

### SHOW

    public static final LifeCycleEvent.Type SHOW

  This event indicates that a widget has become visible.

### HIDE

    public static final LifeCycleEvent.Type HIDE

  This event indicates that a widget has become invisible.

### MAP

    public static final LifeCycleEvent.Type MAP

  This event indicates that a widget has been mapped.

### UNMAP

    public static final LifeCycleEvent.Type UNMAP

  This event indicates that a widget has been unmapped.